- Qt 5.9
- QWebPage Proxy Page
- Qt 5.9.2 Reference Documentation

# QWebPage Proxy Page

## Functions

int | qWebKitMajorVersion()
int | qWebKitMinorVersion()
QString | qWebKitVersion()

## Function Documentation

### int qWebKitMajorVersion()

Returns the 'major' version number of WebKit at run-time as an integer (for example, 531). This is the version of WebKit the application was compiled against.

This function was introduced in Qt 4.6.

See also qWebKitVersion().

### int qWebKitMinorVersion()

Returns the 'minor' version number of WebKit at run-time as an integer (for example, 3). This is the version of WebKit the application was compiled against.

This function was introduced in Qt 4.6.

See also qWebKitVersion().

### QString qWebKitVersion()

Returns the version number of WebKit at run-time as a string (for example, "531.3").

This version is commonly used in WebKit based browsers as part of the user agent string. Web servers and JavaScript might use it to identify the presence of certain WebKit engine features and behaviour.

The evolution of this version is bound to the releases of Apple's Safari browser.

This function was introduced in Qt 4.6.

See also QWebPage::userAgentForUrl().